## nemo 5.0.5+debbie

=== debian/changelog ===
nemo (5.0.5+debbie) uma; urgency=medium

  [ Michael Webster ]
  * nemo-search-engine-advanced.c: Ensure a path before using it as a key in the skip table - g_str_hash cannot be NULL.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 01 Nov 2021 09:25:06 +0000

nemo (5.0.4) uma; urgency=medium

  [ Michael Webster ]
  * nemo-view.c: Follow the same invocation rules for bulk renaming as we do for normal renaming.
  * nemo-file.h: Use the correct icon names for read-only and unreadable emblems.
  * nemo-window-manager-views.c: When removing a folder, don't close the entire window if that folder is open on another tab.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Oct 2021 15:39:16 +0100

nemo (5.0.3) uma; urgency=medium

  [ Michael Webster ]
  * search: Use untex instead of detex to search latex files.
  * search: Fix build from previous commit.
  * nemo-search-engine-advanced.c: Also match \r (carriage return) in the newline filter.
  * nemo-blank-desktop-window.c: Don't try to open a nonexistent menu.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Jul 2021 10:49:34 +0100

nemo (5.0.2) uma; urgency=medium

  [ Michael Webster ]
  * settings: Make the default search button states match the old search behavior.
  * nemo-search-engine-advanced.c: Escape paths properly before passing them to search helpers.
  * nemo-query-editor.c: Don't show the bar separator if the search box isn't being shown.
  * Search: Allow TryExec to be a list of programs.
  * Search: Update search README.md for TryExec changes.
  * search-helpers/nemo-mso-to-txt.c: Refactor and improve error handling.
  * Search: Add .doc, .xls and .tex helpers.
  * Search: Add .ppt helper.
  * debian/control: Make search helper programs dependencies instead of recommends.
  * nemo-mime-actions.c: Only add entire view file list to an image viewer launch if its commandline supports multiple files.
  * nemo-search-engine-advanced.c: Ensure that the final snippet endpoint is no greater than the original endpoint.
  * nemo-search-engine-advanced.c: a couple fixes.
  * search: Disable content search for some special folders.
  * nemo-view.c: Update context menu item visibility from preferences after updating the menu items from any extensions.
  * nemo-view.c: Clear extension menu items during real_update_menus.
  * nemo-view.c: Move call added to last commit to nemo_view_stop_loading.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 16:58:08 +0100

nemo (5.0.1) uma; urgency=medium

  [ Michael Webster ]
  * nemo-search-engine-advanced.c: Convert input data to utf8, and manipulate match snippets as utf8 to ensure they display correctly in the tooltip.
  * nemo-list-view.c: Fix a memory leak.

  [ Eli Schwartz ]
  * make ps2txt search helper work on non-debianlike distros

  [ Michael Webster ]
  * toolbar: Fix updating the state of the "Up" button.

  [ Clement Lefebvre ]
  * l10n: Fix msgid
  * l10n: Remove msgids
  * l10n: Update POT

  [ Michael Webster ]
  * search: Add a readme for search helpers, move third-party helpers into the search-helpers directory, clean up search logging a bit.
  * search helpers: Change the group name, follow my own rules for mimetype list termination, improve readme.
  * nemo-window-menus.c: Update extension and action entries in the File menu when it is shown.
  * nemo-tree-sidebar.c: Fix states for pin/unpin and create-folder menu items.
  * toolbar: Disable the 'create-folder' button in non-writable locations.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 14:01:43 +0100

nemo (5.0.0) uma; urgency=medium

  [ icarter09 ]
  * Issue 1881. Adds keyboard shortcut for Same Location as other pane. Adds shortcut to shorcut UI.
  * Issue 1263. Enables F6 to immediately toggle between panes.

  [ Michael Webster ]
  * nemo-shortcuts.ui: Add a new section for dual-pane and put related shortcuts there.

  [ Eric ]
  * Added option to toggle sorting favorites before other files
  * Fixed whitespace

  [ Michael Webster ]
  * nemo-main-application.c: Remove 30s inactivity timeout.
  * nemo-menu-provider.c: Don't request menu items for selections if there is no selection - not all extensions guard against this.
  * nemo-view.c: Partially revert b4d0318b318f4f4f20cbd8e89c7859f69aeb6214

  [ John Lindgren ]
  * Fix segfault when g_file_info_get_symlink_target() returns "".

  [ Steven Xu ]
  * feat: added the `--existing-window` flag to open URLs in an existing window, cf https://github.com/linuxmint/nemo/issues/2674
  * feat: use `gtk_window_present_with_time()` instead of `gtk_window_present()`, otherwise the window manager will ignore this window's focus request and try to just mark it urgent instead (flashing in the window list for example)

  [ icarter09 ]
  * Fixes 2696. Detects if Trash is supported.

  [ Michael Webster ]
  * nemo-places-sidebar.c: Fix bookmark separator positioning to account for conditionally hidden immovable elements.
  * nemo-desktop-application.c: Remove root check.
  * nemo-view.c: Hide trash menu item when trash is not supported.
  * Add option to treat root as normal.
  * actions: Implement passing the active window xid to exec strings.
  * nemo-window-menus.c: hide gvfs locations based on their actual availability, not strictly on the process uid.
  * nemo actions: Implement reverse dependencies.
  * nemo-view.c: Only update the context menu when it's about to be shown.

  [ Steven Xu ]
  * docs: added docs for the `--existing-window` flag

  [ Cerulean ]
  * Allow images to be viewed in supported image viewers in the same order as they are shown in the current nemo view (directory or search).
  * Remove g_list_insert_before_link call for compatibility with older glib versions.

  [ Michael Webster ]
  * Revert "nemo-view.c: Only update the context menu when it's about to be"
  * nemo-view.c: Delay actions and extension menu providers from updating until the menu is requested.

  [ Joshua Peisach ]


## nemo 5.0.5+uma

=== debian/changelog ===
nemo (5.0.5+uma) uma; urgency=medium

  [ Michael Webster ]
  * nemo-search-engine-advanced.c: Ensure a path before using it as a key in the skip table - g_str_hash cannot be NULL.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 01 Nov 2021 09:25:06 +0000

## nemo 5.2.4

=== meson_options.txt ===
option('deprecated_warnings', type : 'boolean', value : false,
       description: 'Show compiler warnings about deprecated features')
option('exif', type : 'boolean', value : true,
       description: 'EXIF parsing support (requires libexif)')
option('xmp', type : 'boolean', value : true,
       description: 'XMP support (requires Exempi)')
option('gtk_doc', type : 'boolean', value : false,
       description: 'Generate API reference (requires GTK-Doc)')
option('selinux', type : 'boolean', value : false,
       description: 'SELinux support')
option('empty_view', type : 'boolean', value : false,
       description: 'Enable empty view')
option('tracker',type : 'combo', choices : ['true', 'false', 'auto'], value : 'false',
       description: 'Tracker support')
option('profiling', type : 'boolean', value : false,
       description: 'keep frame pointers (for profiling purposes)')

=== debian/changelog ===
nemo (5.2.4-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 5.2.4
  * d/control: add python3:any to nemo deps

  [ Christoph Martin ]
  * add myself to uploaders
  * prepare unstable release

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 26 Jan 2022 08:56:06 +0100

nemo (5.2.2-1) experimental; urgency=medium

  [ Joshua Peisach ]
  * Fix watch file
  * Add myself to Uploaders
  * Remove --as-needed linker flag
  * Remove patch applied upstream
  * Add missing Build-Depends-Package in symbols file
  * Bump cinnamon deps and breaks to 5.2.0

  [ Fabio Fantoni ]
  * New upstream version 5.2.2
  * update xapp deps for package split of 2.2.5-1
  * add python3-xlrd to nemo recommends for xls search helper

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Mon, 22 Nov 2021 19:55:07 -0500

=== debian/control ===
Source: nemo
Section: misc
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
 cinnamon-l10n (>= 5.2~),
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-python3,
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.1),
 itstool,
 libatk1.0-dev (>= 1.32.0),
 libcinnamon-desktop-dev (>= 5.2~),
 libexempi-dev (>= 2.2.0),
 libexif-dev (>= 0.6.20),
 libgail-3-dev,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.45.7),
 libglib2.0-doc,
 libgsf-1-dev,
 libgtk-3-dev (>= 3.10.0),
 libgtk-3-doc,
 libnotify-dev (>= 0.7.0),
 libpango1.0-dev,
 libselinux1-dev,
 libx11-dev,
 libxapp-dev (>= 2.0.0~),
 libxext-dev,
 libxml2-dev (>= 2.7.8),
 libxrender-dev,
 meson (>= 0.40.0),
 python3,
 python3-gi,
 x11proto-core-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo
Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo.git

Package: gir1.2-nemo-3.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.
Breaks: nemo-python (<< 5.2~)

Package: libnemo-extension-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-nemo-3.0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.45.7),
 libgtk-3-dev (>= 3.9.10),
 libnemo-extension1 (= ${binary:Version}),
 ${misc:Depends},
Description: Nemo component system facilities (development files)
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the files needed to compile and link nemo extensions.

Package: libnemo-extension1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nemo component system facilities
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the shared library needed by the nemo extensions.
Breaks: nemo-fileroller (<< 5.2~), nemo-python (<< 5.2~)

Package: nemo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 5.2~),
 desktop-file-utils (>= 0.7),
 gsettings-desktop-schemas,
 gvfs (>= 1.3.2),
 libcinnamon-desktop4 (>= 5.2~),
 libglib2.0-data,
 libnemo-extension1 (= ${binary:Version}),
 nemo-data (= ${source:Version}),
 shared-mime-info (>= 0.50),
 xapp,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 catdoc,
 cinnamon-l10n (>= 5.2~),
 exif,
 gnome-disk-utility,
 gvfs-backends,
 gvfs-fuse,
 id3,
 librsvg2-common,
 nemo-fileroller (>= 5.2~),
 odt2txt,
 poppler-utils,
 python3-xlrd,
 python3:any,
 texlive-binaries,
Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
Description: File manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.
Breaks: cinnamon (<< 5.2~), cinnamon-core (<< 5.2~), nemo-fileroller (<< 5.2~)

Package: nemo-data
Architecture: all
Depends: python3:any, ${misc:Depends}, ${python3:Depends}
Suggests: nemo
Replaces: nemo (<< 3.6.5-1~)
Breaks: nemo (<< 3.6.5-1~)
Description: File manager and graphical shell for Cinnamon (data files)
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains pictures, localization files and other data
 needed by nemo.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Force UTF8 to workaround build error
export LC_ALL=C.UTF-8

CONFIGURE_EXTRA_FLAGS = \
	--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/nemo \
	-D deprecated_warnings=false \
	-D gtk_doc=true \
	-D selinux=true

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_test:
	# Disabled
	:

override_dh_python3:
	dh_python3 -p nemo-data /usr/share/nemo

=== debian/tests/control ===
# Tests: testsuite
# Depends: @, @builddeps@, build-essential,
#          xvfb, xauth, dbus (>= 1.8)
# Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nemo-$1.tar.gz%" \
   https://github.com/linuxmint/nemo/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## nemo 5.2.4%2Buna

=== debian/control ===
Source: nemo
Section: misc
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 cinnamon-l10n,
 debhelper-compat (= 12),
 dh-python,
 gobject-introspection,
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.1),
 itstool,
 libatk1.0-dev (>= 1.32.0),
 libcinnamon-desktop-dev (>= 4.8),
 libexempi-dev (>= 2.2.0),
 libexif-dev (>= 0.6.20),
 libgail-3-dev,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.45.7),
 libglib2.0-doc,
 libgsf-1-dev,
 libgtk-3-dev (>= 3.10),
 libgtk-3-doc,
 libnotify-dev (>= 0.7.0),
 libpango1.0-dev,
 libx11-dev,
 libxapp-dev (>= 2.0.0),
 libxext-dev,
 libxml2-dev (>= 2.7.8),
 libxrender-dev,
 meson,
 python3,
 python3-gi,
 x11proto-core-dev,
Homepage: http://www.github.com/linuxmint/nemo/
Standards-Version: 3.9.5

Package: gir1.2-nemo-3.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Conflicts: gir1.0-nemo-3.0
Replaces: gir1.0-nemo-3.0
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libnemo-extension-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-nemo-3.0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.45.7),
 libgtk-3-dev (>= 3.10),
 libnemo-extension1 (= ${binary:Version}),
 ${misc:Depends},
Description: libraries for nemo components - development version
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package provides the necessary development libraries and include
 files to develop and compile Nemo extensions.

Package: libnemo-extension1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libnemo-extension1a
Replaces: libnemo-extension1a
breaks: libnemo-extension1a
Description: libraries for nemo components - runtime version
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package contains a few runtime libraries needed by nemo' extensions.

Package: nemo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 4.8.0),
 cinnamon-l10n,
 desktop-file-utils (>= 0.7),
 gsettings-desktop-schemas,
 gvfs (>= 1.3.2),
 libglib2.0-data,
 libnemo-extension1 (= ${binary:Version}),
 nemo-data (= ${source:Version}),
 shared-mime-info (>= 0.50),
 poppler-utils,
 exif,
 id3,
 odt2txt,
 catdoc,
 untex,
 python3-xlrd,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gvfs-backends,
 gvfs-fuse,
 librsvg2-common,
 nemo-fileroller,
 gnome-disk-utility
Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
Description: file manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: nemo-data
Architecture: all
Depends: python3, ${misc:Depends}, ${python3:Depends}
Suggests: nemo
Description: data files for nemo
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package contains pictures, localization files and other data
 needed by nemo.

Package: nemo-dbg
Section: debug
Architecture: any
Priority: extra
Depends: nemo (= ${binary:Version}), ${misc:Depends}
Replaces: libnemo-extension1-dbg
Description: file manager and graphical shell for Cinnamon - debugging version
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.
 .
 This development package contains unstripped binaries compiled with
 debugging symbols needed by gdb.

## nemo 5.2.4+elsie

=== debian/changelog ===
nemo (5.2.4+elsie) una; urgency=medium

  [ Michael Webster ]
  * nemo-file.c: Remove a file's 'failed thumbnail' marker when refreshing, if it has one.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jan 2022 16:05:44 +0000

nemo (5.2.3) una; urgency=medium

  [ Michael Webster ]
  * nemo-file-operations.c: Initialize 'auto_rename' before using it.
  * nemo-query-editor.c: Fix editor issue when using tabs.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 11:17:39 +0000

nemo (5.2.2) una; urgency=medium

  [ Michael Webster ]
  * Fix mistake in shortcuts window.

  [ Clement Lefebvre ]
  * l10n: Generate files
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Dec 2021 10:14:04 +0000

nemo (5.2.1) una; urgency=medium

  [ Michael Webster ]
  * search: Use the python xlrd module to read .xls files.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Dec 2021 11:23:52 +0000

nemo (5.2.0) una; urgency=medium

  [ Michael Webster ]
  * nemo-desktop-overlay.glade: Fix label marked untranslatable.
  * makepot: Add shortcuts ui file.
  * nemo-view.c: Follow the same invocation rules for bulk renaming as we do for normal renaming.
  * Install language definitions to gtksourceview-4.
  * nemo-file.h: Use the correct icon names for read-only and unreadable emblems.
  * mount-archive.nemo_action: Use gnome-disk-image-mounter instead of gvfsd-archive.
  * debian/control: Add gnome-disk-utility to recommends (for image mount action).
  * Add a manpage for nemo-desktop and clean up nemo's a bit.

  [ JosephMcc ]
  * nemo-toolbar.c: Use flat button style

  [ Joshua Peisach ]
  * extension gir: Export 'libnemo-extension' to the gir

  [ Michael Webster ]
  * actions: Refactor to remove unnecessary methods.
  * actions: Add new conversion token for a file's parent uri (with selection_count > 0) and location uri (selection_count == 0).
  * actions: Add UriScheme specifier in the action definition.
  * nemo-window-manager-views.c: When removing a folder, don't close the entire window if that folder is open on another tab.
  * nemo-window.c: Don't ignore tab events when renaming.
  * nemo-directory-async.c: Don't write the entire buffer into the pixbuf loader all at once.
  * copy/paste: Make the clipboard contents persist after the process ends.
  * nemo-search-engine-advanced.c: Ensure a path before using it as a key in the skip table - g_str_hash cannot be NULL.

  [ Isaac Carter ]
  * search: Update tooltip text (#2810)

  [ Minabsapi ]
  * file operations: Add duplicate button (#2841)

  [ Clement Lefebvre ]
  * file-operations: Rename button label in previous commit
  * l10n: Generate files
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 14:25:48 +0000

## nemo 5.2.4+una

=== debian/changelog ===
nemo (5.2.4+una) una; urgency=medium

  [ Michael Webster ]
  * nemo-file.c: Remove a file's 'failed thumbnail' marker when refreshing, if it has one.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jan 2022 16:05:44 +0000

## nemo 5.2.4+vanessa

=== debian/changelog ===
nemo (5.2.4+vanessa) una; urgency=medium

  [ Michael Webster ]
  * nemo-file.c: Remove a file's 'failed thumbnail' marker when refreshing, if it has one.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jan 2022 16:05:44 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
  libgsf-1-dev,
  libgtk-3-dev (>= 3.10),
  libgtk-3-doc,
- libnotify-dev (>= 0.7.0),
  libpango1.0-dev,
  libx11-dev,
  libxapp-dev (>= 2.0.0),

## nemo 5.4.0+vanessa

=== debian/changelog ===
nemo (5.4.0+vanessa) vanessa; urgency=medium

  [ Michael Webster ]
  * nemo-list-model.c: Fix crash/inconsistent model when expanding an unmonitored directory that no longer has any children.
  * nemo-list-view.c: Use the original button-press coordinates when deciding on dnd vs rubberbanding.
  * nemo-action.c: Handle get_device_path() failing more gracefully.
  * nemo-window-manage-views.c: Only close a window when its location is deleted if its immediate parent was the desktop and the window also has no backward history.
  * progress handler: Tell the wm that the progress window is a dialog.
  * menus: when activating File->New Window in a search results view, open a new window using the original uri instead of the virtual search results location.
  * Don't allow toolbar buttons to gain input focus.

  [ okaestne ]
  * port from libnotify to GNotification
  * build: remove dependency on libnotify

  [ Jeffrey Knockel ]
  * Add !NEMO_IS_DESKTOP_WINDOW() guards to callbacks

  [ Leigh Scott ]
  * Add native exfat renaming support (#2967)
  * Sync sort-directories-first with gtk file chooser (#2971)

  [ patlefort ]
  * Add option to disable or enable content type detection of mounted media. (#2913)

  [ Clement Lefebvre ]
  * CI: Update targets
  * l10n: Update POT

  [ Michael Webster ]
  * Add symbols file for the extension library.

  [ Yofenry ]
  * added nemo github url in THANKS

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 15:58:12 +0200

nemo (5.2.4) una; urgency=medium

  [ Michael Webster ]
  * nemo-file.c: Remove a file's 'failed thumbnail' marker when refreshing, if it has one.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jan 2022 16:05:44 +0000

## nemo 5.4.1+vanessa

=== debian/changelog ===
nemo (5.4.1+vanessa) vanessa; urgency=medium

  [ Jeremy7701 ]
  * Add epub search helper (#2867)

  [ Michael Webster ]
  * Fix installation of epub search helper.

  [ Joshua Peisach ]
  * icon-container: Don't free a pointer after it has already been freed

  [ veractor ]
  * Actions: Escape tabs and newlines in paths
  * Actions: Escape backslashes in paths
  * Actions: Escape number signs in paths (#3022)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 15:18:56 +0200

nemo (5.4.0) vanessa; urgency=medium

  [ Michael Webster ]
  * nemo-list-model.c: Fix crash/inconsistent model when expanding an unmonitored directory that no longer has any children.
  * nemo-list-view.c: Use the original button-press coordinates when deciding on dnd vs rubberbanding.
  * nemo-action.c: Handle get_device_path() failing more gracefully.
  * nemo-window-manage-views.c: Only close a window when its location is deleted if its immediate parent was the desktop and the window also has no backward history.
  * progress handler: Tell the wm that the progress window is a dialog.
  * menus: when activating File->New Window in a search results view, open a new window using the original uri instead of the virtual search results location.
  * Don't allow toolbar buttons to gain input focus.

  [ okaestne ]
  * port from libnotify to GNotification
  * build: remove dependency on libnotify

  [ Jeffrey Knockel ]
  * Add !NEMO_IS_DESKTOP_WINDOW() guards to callbacks

  [ Leigh Scott ]
  * Add native exfat renaming support (#2967)
  * Sync sort-directories-first with gtk file chooser (#2971)

  [ patlefort ]
  * Add option to disable or enable content type detection of mounted media. (#2913)

  [ Clement Lefebvre ]
  * CI: Update targets
  * l10n: Update POT

  [ Michael Webster ]
  * Add symbols file for the extension library.

  [ Yofenry ]
  * added nemo github url in THANKS

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 15:58:12 +0200

## nemo 5.4.2+elsie

=== debian/changelog ===
nemo (5.4.2+elsie) vanessa; urgency=medium

  [ veractor ]
  * Actions: Escape quoted content in paths (#3026)

  [ Bobby Rong ]
  * libnemo-private: add missing gio-unix-2.0 dependency (#3028)

  [ Michael Webster ]
  * nemo-view.c: Use a shorter menu update delay when the update has been triggered by a selection change.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 Jul 2022 11:11:21 +0200

nemo (5.4.1) vanessa; urgency=medium

  [ Jeremy7701 ]
  * Add epub search helper (#2867)

  [ Michael Webster ]
  * Fix installation of epub search helper.

  [ Joshua Peisach ]
  * icon-container: Don't free a pointer after it has already been freed

  [ veractor ]
  * Actions: Escape tabs and newlines in paths
  * Actions: Escape backslashes in paths
  * Actions: Escape number signs in paths (#3022)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 15:18:56 +0200

## nemo 5.4.2+vanessa

=== debian/changelog ===
nemo (5.4.2+vanessa) vanessa; urgency=medium

  [ veractor ]
  * Actions: Escape quoted content in paths (#3026)

  [ Bobby Rong ]
  * libnemo-private: add missing gio-unix-2.0 dependency (#3028)

  [ Michael Webster ]
  * nemo-view.c: Use a shorter menu update delay when the update has been triggered by a selection change.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 Jul 2022 11:11:21 +0200

## nemo 5.4.3

=== debian/changelog ===
nemo (5.4.3-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 14 Aug 2022 15:25:44 +0200

nemo (5.4.3-1) experimental; urgency=medium

  * New upstream version 5.4.3

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 13 Aug 2022 14:43:57 +0200

nemo (5.4.2-1) experimental; urgency=medium

  * New upstream version 5.4.2 (LP: #1945903)
  * d/control: add html2text to nemo recommends
  * Update lintian override
  * Update d/copyright

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Thu, 21 Jul 2022 23:23:44 +0200

nemo (5.4.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * gir1.2-nemo-3.0: Add Multi-Arch: same.

  [ Fabio Fantoni ]
  * New upstream version 5.4.0
  * d/control: replace texlive-binaries with untex in nemo
    recommends (Closes: #1006472)
  * Simplify d/watch
  * d/control:
    - remove libnotify-dev from build-deps
    - remove old breaks/replaces
    - bump some deps and reverse-deps breaks to 5.4
  * Bumped Standards-Version to 4.6.1
  * Remove empty d/patches/series
  * Restrict selinux build-dep and configure option to linux-any

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 10 Jul 2022 22:58:57 +0200

=== debian/control ===
Source: nemo
Section: misc
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
 cinnamon-l10n (>= 5.4~),
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-python3,
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.1),
 itstool,
 libatk1.0-dev (>= 1.32.0),
 libcinnamon-desktop-dev (>= 5.4~),
 libexempi-dev (>= 2.2.0),
 libexif-dev (>= 0.6.20),
 libgail-3-dev,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.45.7),
 libglib2.0-doc,
 libgsf-1-dev,
 libgtk-3-dev (>= 3.10.0),
 libgtk-3-doc,
 libpango1.0-dev,
 libselinux1-dev [linux-any],
 libx11-dev,
 libxapp-dev (>= 2.0.0~),
 libxext-dev,
 libxml2-dev (>= 2.7.8),
 libxrender-dev,
 meson (>= 0.40.0),
 python3,
 python3-gi,
 x11proto-core-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo
Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo.git

Package: gir1.2-nemo-3.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.
Breaks: nemo-python (<< 5.2~)
Multi-Arch: same

Package: libnemo-extension-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-nemo-3.0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.45.7),
 libgtk-3-dev (>= 3.9.10),
 libnemo-extension1 (= ${binary:Version}),
 ${misc:Depends},
Description: Nemo component system facilities (development files)
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the files needed to compile and link nemo extensions.

Package: libnemo-extension1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nemo component system facilities
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the shared library needed by the nemo extensions.
Breaks: nemo-fileroller (<< 5.2~), nemo-python (<< 5.2~)

Package: nemo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 5.4~),
 desktop-file-utils (>= 0.7),
 gsettings-desktop-schemas,
 gvfs (>= 1.3.2),
 libcinnamon-desktop4 (>= 5.4~),
 libglib2.0-data,
 libnemo-extension1 (= ${binary:Version}),
 nemo-data (= ${source:Version}),
 shared-mime-info (>= 0.50),
 xapp,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 catdoc,
 cinnamon-l10n (>= 5.4~),
 exif,
 gnome-disk-utility,
 gvfs-backends,
 gvfs-fuse,
 html2text,
 id3,
 librsvg2-common,
 nemo-fileroller (>= 5.2~),
 odt2txt,
 poppler-utils,
 python3-xlrd,
 python3:any,
 untex,
Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
Description: File manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.
Breaks: cinnamon (<< 5.4~), cinnamon-core (<< 5.4~), nemo-fileroller (<< 5.2~)

Package: nemo-data
Architecture: all
Depends: python3:any, ${misc:Depends}, ${python3:Depends}
Suggests: nemo
Description: File manager and graphical shell for Cinnamon (data files)
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains pictures, localization files and other data
 needed by nemo.

## nemo 5.4.3+elsie

=== debian/changelog ===
nemo (5.4.3+elsie) vanessa; urgency=medium

  [ Fabio Fantoni ]
  * fix spelling error spotted by lintian

  [ veractor ]
  * App chooser: Quote custom executable file paths (#3041)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Aug 2022 12:30:16 +0200

nemo (5.4.2) vanessa; urgency=medium

  [ veractor ]
  * Actions: Escape quoted content in paths (#3026)

  [ Bobby Rong ]
  * libnemo-private: add missing gio-unix-2.0 dependency (#3028)

  [ Michael Webster ]
  * nemo-view.c: Use a shorter menu update delay when the update has been triggered by a selection change.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 Jul 2022 11:11:21 +0200

## nemo 5.4.3+vanessa

=== debian/changelog ===
nemo (5.4.3+vanessa) vanessa; urgency=medium

  [ Fabio Fantoni ]
  * fix spelling error spotted by lintian

  [ veractor ]
  * App chooser: Quote custom executable file paths (#3041)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Aug 2022 12:30:16 +0200

=== debian/control ===
Source: nemo
Section: misc
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 cinnamon-l10n,
 debhelper-compat (= 12),
 dh-python,
 gobject-introspection,
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.1),
 itstool,
 libatk1.0-dev (>= 1.32.0),
 libcinnamon-desktop-dev (>= 4.8),
 libexempi-dev (>= 2.2.0),
 libexif-dev (>= 0.6.20),
 libgail-3-dev,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.45.7),
 libglib2.0-doc,
 libgsf-1-dev,
 libgtk-3-dev (>= 3.10),
 libgtk-3-doc,
 libpango1.0-dev,
 libx11-dev,
 libxapp-dev (>= 2.0.0),
 libxext-dev,
 libxml2-dev (>= 2.7.8),
 libxrender-dev,
 meson,
 python3,
 python3-gi,
 x11proto-core-dev,
Homepage: http://www.github.com/linuxmint/nemo/
Standards-Version: 3.9.5

Package: gir1.2-nemo-3.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Conflicts: gir1.0-nemo-3.0
Replaces: gir1.0-nemo-3.0
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libnemo-extension-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-nemo-3.0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.45.7),
 libgtk-3-dev (>= 3.10),
 libnemo-extension1 (= ${binary:Version}),
 ${misc:Depends},
Description: libraries for nemo components - development version
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package provides the necessary development libraries and include
 files to develop and compile Nemo extensions.

Package: libnemo-extension1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libnemo-extension1a
Replaces: libnemo-extension1a
breaks: libnemo-extension1a
Description: libraries for nemo components - runtime version
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package contains a few runtime libraries needed by nemo' extensions.

Package: nemo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 4.8.0),
 cinnamon-l10n,
 desktop-file-utils (>= 0.7),
 gsettings-desktop-schemas,
 gvfs (>= 1.3.2),
 libglib2.0-data,
 libnemo-extension1 (= ${binary:Version}),
 nemo-data (= ${source:Version}),
 shared-mime-info (>= 0.50),
 poppler-utils,
 exif,
 id3,
 odt2txt,
 catdoc,
 untex,
 html2text,
 python3-xlrd,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gvfs-backends,
 gvfs-fuse,
 librsvg2-common,
 nemo-fileroller,
 gnome-disk-utility
Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
Description: file manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: nemo-data
Architecture: all
Depends: python3, ${misc:Depends}, ${python3:Depends}
Suggests: nemo
Description: data files for nemo
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package contains pictures, localization files and other data
 needed by nemo.

Package: nemo-dbg
Section: debug
Architecture: any
Priority: extra
Depends: nemo (= ${binary:Version}), ${misc:Depends}
Replaces: libnemo-extension1-dbg
Description: file manager and graphical shell for Cinnamon - debugging version
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.
 .
 This development package contains unstripped binaries compiled with
 debugging symbols needed by gdb.

## nemo 5.6.0+vera

=== debian/changelog ===
nemo (5.6.0+vera) vera; urgency=medium

  [ veractor ]
  * Actions: Escape device paths also (#3057)

  [ Michael Webster ]
  * Use Github actions instead of CircleCI.

  [ veractor ]
  * Actions: Escape path spaces when they are unquoted
  * eel: Merge shell character escape functions

  [ Clement Lefebvre ]
  * icon view: don't highlight selected icons
  * nemo-desktop: Rename new-launcher -> 90_new-launcher
  * nemo-desktop: Add Desktop Settings action
  * l10n: Update POT and files

  [ Michael Webster ]
  * search: Perform deep counts on a search directories full file list, instead of the directory itself, when opening properties.
  * nemo-search-directory-file.c: Add a missing NemoDirectory method.
  * location bar: Add an option to always switch back to the pathbar (breadcrumbs) widget after entering a location or otherwise using the location entry.
  * Prevent interactive search from interfering with keystrokes intended for the window handler (for focusing the location entry).

  [ Oliver Kästner ]
  * debian/control(nemo-dbg): priority extra->optional

  [ Michael Webster ]
  * Remove custom btime (creation time) code.
  * Add support for file creation time via GFileInfo.
  * Add ability to display date columns in a monospaced font.
  * nemo-file-operations.c: Fix null pointer error.
  * nemo-file-operations.c: Handle a couple more potential problems with g_file_get_basename().

  [ Clement Lefebvre ]
  * list view: Do show dates in monospace font by default

  [ Michael Webster ]
  * Change location entry/pathbar behavior.
  * Fix build on LMDE.
  * Toolbar: Use actions to control the location/path bar switching.
  * toolbar: Hide the location entry toggle when not needed, and limit its shortcut to making sure the entry is focused.
  * pathbar/entry: Fix a couple of issues when changing pathbar/entry preference.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Nov 2022 10:36:27 +0000

nemo (5.4.3) vanessa; urgency=medium

  [ Fabio Fantoni ]
  * fix spelling error spotted by lintian

  [ veractor ]
  * App chooser: Quote custom executable file paths (#3041)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Aug 2022 12:30:16 +0200

## nemo 5.6.1

=== debian/changelog ===
nemo (5.6.1-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 25 Dec 2022 19:00:44 +0100

nemo (5.6.1-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Fabio Fantoni ]
  * New upstream version 5.6.1
  * d/control: remove xapp from nemo deps

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 20 Dec 2022 20:01:22 +0100

=== debian/control ===
Source: nemo
Section: misc
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
 cinnamon-l10n (>= 5.6.1~),
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-python3,
 gtk-doc-tools,
 intltool,
 itstool,
 libatk1.0-dev,
 libcinnamon-desktop-dev (>= 5.6~),
 libexempi-dev,
 libexif-dev,
 libgail-3-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libglib2.0-doc,
 libgsf-1-dev,
 libgtk-3-dev,
 libgtk-3-doc,
 libpango1.0-dev,
 libselinux1-dev [linux-any],
 libx11-dev,
 libxapp-dev (>= 2.0.0~),
 libxext-dev,
 libxml2-dev,
 libxrender-dev,
 meson,
 python3,
 python3-gi,
 x11proto-core-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo
Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo.git

Package: gir1.2-nemo-3.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.
Breaks: nemo-python (<< 5.2~)
Multi-Arch: same

Package: libnemo-extension-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-nemo-3.0 (= ${binary:Version}),
 libglib2.0-dev,
 libgtk-3-dev,
 libnemo-extension1 (= ${binary:Version}),
 ${misc:Depends},
Description: Nemo component system facilities (development files)
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the files needed to compile and link nemo extensions.

Package: libnemo-extension1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nemo component system facilities
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the shared library needed by the nemo extensions.
Breaks: nemo-fileroller (<< 5.2~), nemo-python (<< 5.2~)

Package: nemo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 5.6~),
 desktop-file-utils,
 gsettings-desktop-schemas,
 gvfs,
 libcinnamon-desktop4 (>= 5.6~),
 libglib2.0-data,
 libnemo-extension1 (= ${binary:Version}),
 nemo-data (= ${source:Version}),
 shared-mime-info,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 catdoc,
 cinnamon-l10n (>= 5.6.1~),
 exif,
 gnome-disk-utility,
 gvfs-backends,
 gvfs-fuse,
 html2text,
 id3,
 librsvg2-common,
 nemo-fileroller (>= 5.2~),
 odt2txt,
 poppler-utils,
 python3-xlrd,
 python3:any,
 untex,
Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
Description: File manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.
Breaks: cinnamon (<< 5.4~), cinnamon-core (<< 5.4~), nemo-fileroller (<< 5.2~)

Package: nemo-data
Architecture: all
Depends: python3:any, ${misc:Depends}, ${python3:Depends}
Suggests: nemo
Description: File manager and graphical shell for Cinnamon (data files)
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains pictures, localization files and other data
 needed by nemo.

## nemo 5.6.1+elsie

=== debian/changelog ===
nemo (5.6.1+elsie) vera; urgency=medium

  [ Michael Webster ]
  * pathbar/entry: Give entry-preferred mode the same persistent behavior as pathbar-preferred.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Dec 2022 15:14:28 +0000

nemo (5.6.0) vera; urgency=medium

  [ veractor ]
  * Actions: Escape device paths also (#3057)

  [ Michael Webster ]
  * Use Github actions instead of CircleCI.

  [ veractor ]
  * Actions: Escape path spaces when they are unquoted
  * eel: Merge shell character escape functions

  [ Clement Lefebvre ]
  * icon view: don't highlight selected icons
  * nemo-desktop: Rename new-launcher -> 90_new-launcher
  * nemo-desktop: Add Desktop Settings action
  * l10n: Update POT and files

  [ Michael Webster ]
  * search: Perform deep counts on a search directories full file list, instead of the directory itself, when opening properties.
  * nemo-search-directory-file.c: Add a missing NemoDirectory method.
  * location bar: Add an option to always switch back to the pathbar (breadcrumbs) widget after entering a location or otherwise using the location entry.
  * Prevent interactive search from interfering with keystrokes intended for the window handler (for focusing the location entry).

  [ Oliver Kästner ]
  * debian/control(nemo-dbg): priority extra->optional

  [ Michael Webster ]
  * Remove custom btime (creation time) code.
  * Add support for file creation time via GFileInfo.
  * Add ability to display date columns in a monospaced font.
  * nemo-file-operations.c: Fix null pointer error.
  * nemo-file-operations.c: Handle a couple more potential problems with g_file_get_basename().

  [ Clement Lefebvre ]
  * list view: Do show dates in monospace font by default

  [ Michael Webster ]
  * Change location entry/pathbar behavior.
  * Fix build on LMDE.
  * Toolbar: Use actions to control the location/path bar switching.
  * toolbar: Hide the location entry toggle when not needed, and limit its shortcut to making sure the entry is focused.
  * pathbar/entry: Fix a couple of issues when changing pathbar/entry preference.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Nov 2022 10:36:27 +0000
